<?php
/*
Plugin Name: SpeakUp! Email Petitions
Plugin URI: http://speakup.designkode.com/
Description: Allows you to create custom email petition forms and include them in posts or pages via a shortcode. Petition signatures are saved in the database and can be exported to CSV.
Version: 1.4
Author: Kreg Wallace
Author URI: http://speakup.designkode.com/kreg-wallace
License: GPL2
*/

global $dk_speakup_version;
$dk_speakup_version = '1.4';

// enable translations
add_action( 'init', 'dk_speakup_translate' );
function dk_speakup_translate() {
	load_plugin_textdomain( 'dk_speakup', false, 'speakup-email-petitions/languages' );
}

// load admin functions only on admin pages
if ( is_admin() ) {
	// load plugin setup functions
	include_once( dirname( __FILE__ ) . '/includes/admin.php' );
	// load petitions page
	include_once( dirname( __FILE__ ) . '/includes/admin-petitions.php' );
	// load edit petitions page
	include_once( dirname( __FILE__ ) . '/includes/admin-edit.php' );
	// load signatures page
	include_once( dirname( __FILE__ ) . '/includes/admin-signatures.php' );
	// load plugin settings page
	include_once( dirname( __FILE__ ) . '/includes/admin-settings.php' );
	// load the admin utility functions
	include_once( dirname( __FILE__ ) . '/includes/admin-utils.php' );
	// enable plugin activation function
	register_activation_hook( __FILE__, 'dk_speakup_install' );
}
else {
	// load functions for controlling the publicly viewable petition form
	include_once( dirname( __FILE__ ) . '/includes/public.php' );
}

// load the widget
include_once( dirname( __FILE__ ) . '/includes/widget.php' );





?>